%define majver %(echo %version | cut -d. -f1-2)

Name:          frameworkintegration
Version:       5.49.0
Release:       1mamba
Summary:       KDE Frameworks 5 Integration of Qt application with KDE workspaces
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/frameworkintegration-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libXcursor-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: libpackagekitqt5-devel >= 1.0.1-1mamba
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 Integration of Qt application with KDE workspaces.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%dir %{_kde5_datadir}/kf5/infopage
%{_kde5_datadir}/kf5/infopage/*
%{_datadir}/knotifications5/plasma_workspace.notifyrc
%doc COPYING.LIB

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Style.so.*
%{_libdir}/qt5/plugins/kf5/FrameworkIntegrationPlugin.so
%{_libexecdir}/kf5/kpackagehandlers/*handler

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KStyle
%{_kde5_includedir}/KStyle/*.h
%{_kde5_includedir}/frameworkintegration_version.h
%{_kde5_includedir}/KStyle/KStyle
%{_kde5_libdir}/cmake/KF5FrameworkIntegration/KF5FrameworkIntegration*.cmake
%{_kde5_libdir}/libKF5Style.so

%changelog
* Thu Aug 23 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Tue Jul 17 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Sun Mar 18 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Fri Mar 16 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.43.0-2mamba
- rebuilt by autoport with build requirements: libpackagekitqt5-devel>=1.0.1-1mamba

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Mon Jan 22 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sat Dec 30 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Thu Sep 14 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 25 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Fri Jan 27 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Tue Dec 20 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Tue Nov 29 2016 Automatic Build System <autodist@mambasoft.it> 5.28.0-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Mon Sep 26 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Tue Aug 23 2016 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Wed Jul 20 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Sun Jun 26 2016 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Sun May 29 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Thu May 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.21.0-1mamba
- update to 5.21.0

* Tue Mar 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.19.0-1mamba
- package created using the webbuild interface
